# User

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**access_key** | Option<**String**> |  | [optional]
**access_secret** | Option<**String**> |  | [optional]
**address** | Option<**Vec<String>**> |  | [optional]
**adfs** | Option<**String**> |  | [optional]
**affiliation** | Option<**String**> |  | [optional]
**alipay** | Option<**String**> |  | [optional]
**amazon** | Option<**String**> |  | [optional]
**apple** | Option<**String**> |  | [optional]
**auth0** | Option<**String**> |  | [optional]
**avatar** | Option<**String**> |  | [optional]
**avatar_type** | Option<**String**> |  | [optional]
**azuread** | Option<**String**> |  | [optional]
**azureadb2c** | Option<**String**> |  | [optional]
**baidu** | Option<**String**> |  | [optional]
**battlenet** | Option<**String**> |  | [optional]
**bilibili** | Option<**String**> |  | [optional]
**bio** | Option<**String**> |  | [optional]
**birthday** | Option<**String**> |  | [optional]
**bitbucket** | Option<**String**> |  | [optional]
**r#box** | Option<**String**> |  | [optional]
**casdoor** | Option<**String**> |  | [optional]
**cloudfoundry** | Option<**String**> |  | [optional]
**country_code** | Option<**String**> |  | [optional]
**created_ip** | Option<**String**> |  | [optional]
**created_time** | Option<**String**> |  | [optional]
**custom** | Option<**String**> |  | [optional]
**dailymotion** | Option<**String**> |  | [optional]
**deezer** | Option<**String**> |  | [optional]
**digitalocean** | Option<**String**> |  | [optional]
**dingtalk** | Option<**String**> |  | [optional]
**discord** | Option<**String**> |  | [optional]
**display_name** | Option<**String**> |  | [optional]
**deleted_time** | Option<**String**> |  | [optional]
**douyin** | Option<**String**> |  | [optional]
**dropbox** | Option<**String**> |  | [optional]
**education** | Option<**String**> |  | [optional]
**email** | Option<**String**> |  | [optional]
**email_verified** | Option<**bool**> |  | [optional]
**eveonline** | Option<**String**> |  | [optional]
**external_id** | Option<**String**> |  | [optional]
**facebook** | Option<**String**> |  | [optional]
**first_name** | Option<**String**> |  | [optional]
**fitbit** | Option<**String**> |  | [optional]
**gender** | Option<**String**> |  | [optional]
**gitea** | Option<**String**> |  | [optional]
**gitee** | Option<**String**> |  | [optional]
**github** | Option<**String**> |  | [optional]
**gitlab** | Option<**String**> |  | [optional]
**google** | Option<**String**> |  | [optional]
**groups** | Option<**Vec<String>**> |  | [optional]
**hash** | Option<**String**> |  | [optional]
**heroku** | Option<**String**> |  | [optional]
**homepage** | Option<**String**> |  | [optional]
**id** | Option<**String**> |  | [optional]
**id_card** | Option<**String**> |  | [optional]
**id_card_type** | Option<**String**> |  | [optional]
**influxcloud** | Option<**String**> |  | [optional]
**infoflow** | Option<**String**> |  | [optional]
**instagram** | Option<**String**> |  | [optional]
**intercom** | Option<**String**> |  | [optional]
**is_admin** | Option<**bool**> |  | [optional]
**is_default_avatar** | Option<**bool**> |  | [optional]
**is_deleted** | Option<**bool**> |  | [optional]
**is_forbidden** | Option<**bool**> |  | [optional]
**is_online** | Option<**bool**> |  | [optional]
**kakao** | Option<**String**> |  | [optional]
**karma** | Option<**i64**> |  | [optional]
**language** | Option<**String**> |  | [optional]
**lark** | Option<**String**> |  | [optional]
**last_name** | Option<**String**> |  | [optional]
**last_signin_ip** | Option<**String**> |  | [optional]
**last_signin_time** | Option<**String**> |  | [optional]
**last_signin_wrong_time** | Option<**String**> |  | [optional]
**lastfm** | Option<**String**> |  | [optional]
**ldap** | Option<**String**> |  | [optional]
**line** | Option<**String**> |  | [optional]
**linkedin** | Option<**String**> |  | [optional]
**location** | Option<**String**> |  | [optional]
**mailru** | Option<**String**> |  | [optional]
**managed_accounts** | Option<[**Vec<models::ManagedAccount>**](object.ManagedAccount.md)> |  | [optional]
**meetup** | Option<**String**> |  | [optional]
**metamask** | Option<**String**> |  | [optional]
**mfa_email_enabled** | Option<**bool**> |  | [optional]
**mfa_phone_enabled** | Option<**bool**> |  | [optional]
**microsoftonline** | Option<**String**> |  | [optional]
**multi_factor_auths** | Option<[**Vec<models::MfaProps>**](object.MfaProps.md)> |  | [optional]
**name** | Option<**String**> |  | [optional]
**naver** | Option<**String**> |  | [optional]
**nextcloud** | Option<**String**> |  | [optional]
**okta** | Option<**String**> |  | [optional]
**onedrive** | Option<**String**> |  | [optional]
**oura** | Option<**String**> |  | [optional]
**owner** | Option<**String**> |  | [optional]
**password** | Option<**String**> |  | [optional]
**password_salt** | Option<**String**> |  | [optional]
**password_type** | Option<**String**> |  | [optional]
**patreon** | Option<**String**> |  | [optional]
**paypal** | Option<**String**> |  | [optional]
**permanent_avatar** | Option<**String**> |  | [optional]
**permissions** | Option<[**Vec<models::Permission>**](object.Permission.md)> |  | [optional]
**phone** | Option<**String**> |  | [optional]
**pre_hash** | Option<**String**> |  | [optional]
**preferred_mfa_type** | Option<**String**> |  | [optional]
**properties** | Option<[**serde_json::Value**](.md)> |  | [optional]
**qq** | Option<**String**> |  | [optional]
**ranking** | Option<**i64**> |  | [optional]
**recovery_codes** | Option<**Vec<String>**> |  | [optional]
**region** | Option<**String**> |  | [optional]
**roles** | Option<[**Vec<models::Role>**](object.Role.md)> |  | [optional]
**salesforce** | Option<**String**> |  | [optional]
**score** | Option<**i64**> |  | [optional]
**shopify** | Option<**String**> |  | [optional]
**signin_wrong_times** | Option<**i64**> |  | [optional]
**signup_application** | Option<**String**> |  | [optional]
**slack** | Option<**String**> |  | [optional]
**soundcloud** | Option<**String**> |  | [optional]
**spotify** | Option<**String**> |  | [optional]
**steam** | Option<**String**> |  | [optional]
**strava** | Option<**String**> |  | [optional]
**stripe** | Option<**String**> |  | [optional]
**tag** | Option<**String**> |  | [optional]
**tiktok** | Option<**String**> |  | [optional]
**title** | Option<**String**> |  | [optional]
**totp_secret** | Option<**String**> |  | [optional]
**tumblr** | Option<**String**> |  | [optional]
**twitch** | Option<**String**> |  | [optional]
**twitter** | Option<**String**> |  | [optional]
**r#type** | Option<**String**> |  | [optional]
**typetalk** | Option<**String**> |  | [optional]
**uber** | Option<**String**> |  | [optional]
**updated_time** | Option<**String**> |  | [optional]
**vk** | Option<**String**> |  | [optional]
**web3onboard** | Option<**String**> |  | [optional]
**webauthn_credentials** | Option<[**Vec<serde_json::Value>**](serde_json::Value.md)> |  | [optional]
**wechat** | Option<**String**> |  | [optional]
**wecom** | Option<**String**> |  | [optional]
**weibo** | Option<**String**> |  | [optional]
**wepay** | Option<**String**> |  | [optional]
**xero** | Option<**String**> |  | [optional]
**yahoo** | Option<**String**> |  | [optional]
**yammer** | Option<**String**> |  | [optional]
**yandex** | Option<**String**> |  | [optional]
**zoom** | Option<**String**> |  | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


